<fd-dialog>
  <fd-dialog-header>
    <h1 fd-dialog-title>Ordem de Compras</h1>
    <button fd-dialog-close-button (click)="dialogRef.dismiss()"></button>
  </fd-dialog-header>
  <fd-dialog-body>
    <form
      [formGroup]="form"
      (ngSubmit)="submitForm()"
      id="main-form"
      autocomplete="off"
    >
      <div fd-form-set>
        <fd-layout-panel>
          <fd-layout-panel-body>
            <fd-layout-grid>
              <div [fdLayoutGridCol]="12" [colLg]="12">
                <fd-panel [fixed]="true">
                  <h5 fd-panel-title>Dados da Ordem</h5>
                  <div
                    fd-panel-content
                    ariaLabel="Panel Content"
                    id="panel-content-2"
                  >
                    <fd-layout-grid>
                      <div [fdLayoutGridCol]="12" [colLg]="6">
                        <div fd-form-item>
                          <label fd-form-label for="contact-input"
                            >{{ "Requisitante" | titlecase }}:
                          </label>
                          <fd-form-input-message-group>
                            <input
                              fd-form-control
                              fdCompact="globalCompact"
                              type="text"
                              id="contact-input"
                              placeholder="Requisitante"
                              formControlName="requirer"
                            />
                          </fd-form-input-message-group>
                        </div>
                      </div>

                      <div [fdLayoutGridCol]="12" [colLg]="3">
                        <div fd-form-item>
                          <label fd-form-label for="datepicker-input"
                            >{{ "Data de Emissão" | titlecase }}:
                          </label>
                          <fd-date-picker
                            fdCompact="globalCompact"
                            formControlName="createDate"
                            [type]="'single'"
                          >
                          </fd-date-picker>
                        </div>
                      </div>
                    </fd-layout-grid>

                    <fd-layout-grid>
                      <div [fdLayoutGridCol]="12" [colLg]="12">
                        <div fd-form-item>
                          <label fd-form-label for="contact-input"
                            >{{ "Item(Produto/Serviço)" | titlecase }}:
                          </label>
                          <fd-form-input-message-group>
                            <textarea
                              fd-form-control
                              fdCompact="globalCompact"
                              type="text"
                              id="contact-input"
                              placeholder="Item(Produto/Serviço)"
                              formControlName="itemDescription"
                              [state]="
                                this.form.get('itemDescription')?.invalid
                                  ? 'error'
                                  : 'success'
                              "
                            ></textarea>
                          </fd-form-input-message-group>
                        </div>
                      </div>
                    </fd-layout-grid>

                    <fd-layout-grid>
                      <div [fdLayoutGridCol]="12" [colLg]="4">
                        <label fd-form-label for="datepicker-input"
                          >{{ "Período Inicial" | titlecase }}:
                        </label>
                        <fd-date-picker
                          formControlName="initialPeriod"
                          [type]="'single'"
                          id="datepicker-input"
                          [state]="
                            this.form.get('initialPeriod')?.invalid
                              ? 'error'
                              : 'success'
                          "
                        >
                        </fd-date-picker>
                      </div>

                      <div [fdLayoutGridCol]="12" [colLg]="4">
                        <label fd-form-label for="datepicker-input"
                          >{{ "Período Final" | titlecase }}:
                        </label>
                        <fd-date-picker
                          formControlName="finalPeriod"
                          [type]="'single'"
                          id="datepicker-input"
                          [state]="
                            this.form.get('finalPeriod')?.invalid
                              ? 'error'
                              : 'success'
                          "
                        >
                        </fd-date-picker>
                      </div>

                      <div [fdLayoutGridCol]="12" [colLg]="4">
                        <div fd-form-item>
                          <label fd-form-label [for]="'type-1'"
                            >{{ "Renovação Automática" | titlecase }}:</label
                          >
                          <fd-form-input-message-group>
                            <select
                              fd-form-control
                              fdCompact="globalCompact"
                              id="type-1"
                              formControlName="autRenew"
                              [state]="
                                this.form.get('autRenew')?.invalid
                                  ? 'error'
                                  : 'success'
                              "
                            >
                              <option value="true">{{ "Sim" }}</option>
                              <option value="false">
                                {{ "Não" }}
                              </option>
                            </select>
                          </fd-form-input-message-group>
                        </div>
                      </div>
                    </fd-layout-grid>
                    <fd-layout-grid>
                      <div [fdLayoutGridCol]="12" [colLg]="5">
                        <div fd-form-item>
                          <label fd-form-label for="contact-input"
                            >{{ "Preço R$" | titlecase }}:
                          </label>
                          <fd-form-input-message-group>
                            <input
                              fd-form-control
                              fdCompact="globalCompact"
                              type="number"
                              id="contact-input"
                              placeholder="Preço R$"
                              formControlName="totalPrice"
                              [state]="
                                this.form.get('totalPrice')?.invalid
                                  ? 'error'
                                  : 'success'
                              "
                            />
                          </fd-form-input-message-group>
                        </div>
                      </div>
                    </fd-layout-grid>
                    <fd-layout-grid>
                      <div [fdLayoutGridCol]="12" [colLg]="12">
                        <div fd-form-item>
                          <label fd-form-label for="contact-input"
                            >{{ "Observações Ordem" | titlecase }}:
                          </label>
                          <fd-form-input-message-group>
                            <textarea
                              fd-form-control
                              fdCompact="globalCompact"
                              type="text"
                              id="contact-input"
                              placeholder="Observações Ordem"
                              formControlName="remarks"
                              [state]="
                                this.form.get('remarks')?.invalid
                                  ? 'error'
                                  : 'success'
                              "
                            ></textarea>
                          </fd-form-input-message-group>
                        </div>
                      </div>
                    </fd-layout-grid>
                  </div>
                </fd-panel>
              </div>

              <div [fdLayoutGridCol]="12" [colLg]="12">
                <fd-panel [fixed]="true">
                  <h5 fd-panel-title>Dados do Fornecedor</h5>
                  <div
                    fd-panel-content
                    ariaLabel="Panel Content"
                    id="panel-content-2"
                  >
                    <fd-layout-grid>
                      <div [fdLayoutGridCol]="12" [colLg]="12">
                        <div fd-form-item>
                          <label fd-form-label for="contact-input"
                            >{{ "CNPJ/CPF" }}:
                          </label>
                          <fd-form-input-message-group>
                            <input
                              fd-form-control
                              fdCompact="globalCompact"
                              type="text"
                              id="contact-input"
                              placeholder="CNPJ/CPF"
                              formControlName="fiscalCodeProvider"
                              mask="000.000.000-00||00.000.000/0000-00"
                            />
                          </fd-form-input-message-group>
                        </div>
                      </div>

                      <div [fdLayoutGridCol]="12" [colLg]="12">
                        <div fd-form-item>
                          <label fd-form-label for="contact-input"
                            >{{ "Nome Fornecedor" | titlecase }}:
                          </label>
                          <fd-form-input-message-group>
                            <input
                              fd-form-control
                              fdCompact="globalCompact"
                              type="text"
                              id="contact-input"
                              placeholder="Nome Fornecedor"
                              formControlName="provider"
                              [state]="
                                this.form.get('provider')?.invalid
                                  ? 'error'
                                  : 'success'
                              "
                            />
                          </fd-form-input-message-group>
                        </div>
                      </div>

                      <div [fdLayoutGridCol]="12" [colLg]="12">
                        <div fd-form-item>
                          <label fd-form-label for="contact-input"
                            >{{ "Endereço" | titlecase }}:
                          </label>
                          <fd-form-input-message-group>
                            <input
                              fd-form-control
                              fdCompact="globalCompact"
                              type="text"
                              id="contact-input"
                              placeholder="Endereço"
                              formControlName="addressProvider"
                              [state]="
                                this.form.get('addressProvider')?.invalid
                                  ? 'error'
                                  : 'success'
                              "
                            />
                          </fd-form-input-message-group>
                        </div>
                      </div>

                      <div [fdLayoutGridCol]="12" [colLg]="12">
                        <div fd-form-item>
                          <label fd-form-label for="contact-input"
                            >{{ "E-mail" | titlecase }}:
                          </label>
                          <fd-form-input-message-group>
                            <input
                              fd-form-control
                              fdCompact="globalCompact"
                              type="email"
                              id="contact-input"
                              placeholder="E-mail"
                              formControlName="mailProvider"
                              [state]="
                                this.form.get('mailProvider')?.invalid
                                  ? 'error'
                                  : 'success'
                              "
                            />
                          </fd-form-input-message-group>
                        </div>
                      </div>
                    </fd-layout-grid>
                  </div>
                </fd-panel>
              </div>

              <div [fdLayoutGridCol]="12" [colLg]="12">
                <fd-panel [fixed]="true">
                  <h5 fd-panel-title>Pagamento</h5>
                  <div
                    fd-panel-content
                    ariaLabel="Panel Content"
                    id="panel-content-2"
                  >
                    <fd-layout-grid>
                      <div [fdLayoutGridCol]="12" [colLg]="12">
                        <div fd-form-item>
                          <label fd-form-label for="contact-input"
                            >{{ "Forma de Pagamento" | titlecase }}:
                          </label>
                          <fd-form-input-message-group>
                            <input
                              fd-form-control
                              fdCompact="globalCompact"
                              type="text"
                              id="contact-input"
                              placeholder="Forma de Pagamento"
                              formControlName="paymentType"
                              [state]="
                                this.form.get('paymentType')?.invalid
                                  ? 'error'
                                  : 'success'
                              "
                            />
                          </fd-form-input-message-group>
                        </div>
                      </div>
                      <div [fdLayoutGridCol]="12" [colLg]="12">
                        <div fd-form-item>
                          <label fd-form-label for="contact-input"
                            >{{ "Banco" | titlecase }}:
                          </label>
                          <fd-form-input-message-group>
                            <input
                              fd-form-control
                              fdCompact="globalCompact"
                              type="text"
                              id="contact-input"
                              placeholder="Cod. Banco"
                              formControlName="providerCodeBank"
                            />
                          </fd-form-input-message-group>
                        </div>
                      </div>
                      <div [fdLayoutGridCol]="12" [colLg]="12">
                        <div fd-form-item>
                          <label fd-form-label for="contact-input"
                            >{{ "Agência" | titlecase }}:
                          </label>
                          <fd-form-input-message-group>
                            <input
                              fd-form-control
                              fdCompact="globalCompact"
                              type="text"
                              id="contact-input"
                              placeholder="Agência"
                              formControlName="providerAgBank"
                            />
                          </fd-form-input-message-group>
                        </div>
                      </div>
                      <div [fdLayoutGridCol]="12" [colLg]="12">
                        <div fd-form-item>
                          <label fd-form-label for="contact-input"
                            >{{ "Conta" | titlecase }}:
                          </label>
                          <fd-form-input-message-group>
                            <input
                              fd-form-control
                              fdCompact="globalCompact"
                              type="text"
                              id="contact-input"
                              placeholder="Conta"
                              formControlName="providerAccountBank"
                            />
                          </fd-form-input-message-group>
                        </div>
                      </div>
                      <div [fdLayoutGridCol]="12" [colLg]="12">
                        <div fd-form-item>
                          <label fd-form-label for="contact-input"
                            >{{ "Observações Financeiras" | titlecase }}:
                          </label>
                          <fd-form-input-message-group>
                            <textarea
                              fd-form-control
                              fdCompact="globalCompact"
                              type="textarea"
                              id="contact-input"
                              placeholder="Observações Financeiras"
                              formControlName="financialRemarks"
                              [state]="
                                this.form.get('financialRemarks')?.invalid
                                  ? 'warning'
                                  : 'success'
                              "
                            >
                            </textarea>
                          </fd-form-input-message-group>
                        </div>
                      </div>
                    </fd-layout-grid>
                  </div>
                </fd-panel>
              </div>
            </fd-layout-grid>
          </fd-layout-panel-body>
        </fd-layout-panel>
      </div>
    </form>
  </fd-dialog-body>
  <fd-dialog-footer>
    <fd-dialog-footer-button>
      <button
        fd-button
        fd-dialog-decisive-button
        fdCompact="globalCompact"
        fdType="standard"
        type="submit"
        form="main-form"
        [label]="'Salvar'"
        [aria-disabled]="form.invalid || isLoading || showMode"
      ></button>
    </fd-dialog-footer-button>
    <fd-dialog-footer-button>
      <button
        fd-button
        fd-dialog-decisive-button
        fdCompact="globalCompact"
        fdType="transparent"
        style="margin-left: 16px"
        (click)="this.dialogRef.dismiss()"
        [label]="'Cancelar'"
        [aria-disabled]="isLoading"
      ></button>
    </fd-dialog-footer-button>
  </fd-dialog-footer>
</fd-dialog>
